# MyDialect Class Reference
[Connectors and dialects for various databases]

MySQL dialect. More...

Inheritance diagram for MyDialect:
[legend]

List of all members.

## Public Member Functions

| quoteBinary ($data)
| typeToString (DataType $type)
| hasTruncate ()
| hasMultipleTruncate ()
| hasReturning ()
| preAutoincrement (DBColumn $column)
| postAutoincrement (DBColumn $column)
| fullTextSearch ($fields, $words, $logic)

## Static Public Member Functions

static | me ()
static | quoteValue ($value)
static | quoteField ($field)
| must be implemented too:
static | quoteTable ($table)
static | dropTableMode ($cascade=false)
static | timeZone ($exist=false)

## Public Attributes

const | IN_BOOLEAN_MODE = 1

## Static Private Member Functions

static | prepareFullText ($words, $logic)

## Detailed Description

MySQL dialect.

See also:
  http://www.mysql.com/
  http://www.php.net/mysql

Definition at line 20 of file MyDialect.class.php.

## Member Function Documentation

static MyDialect::dropTableMode | ( | $ | cascade = `false` | ) | `[static]`

Reimplemented from Dialect.

Definition at line 57 of file MyDialect.class.php.

MyDialect::fullTextSearch | ( | $ | fields,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented from Dialect.

Definition at line 107 of file MyDialect.class.php.

MyDialect::hasMultipleTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 85 of file MyDialect.class.php.

MyDialect::hasReturning | ( |  | ) |

Reimplemented from Dialect.

Definition at line 90 of file MyDialect.class.php.

MyDialect::hasTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 80 of file MyDialect.class.php.

static MyDialect::me | ( |  | ) | `[static]`

Returns:
  MyDialect

Implements Instantiatable.

Definition at line 27 of file MyDialect.class.php.

References Singleton::getInstance().

Referenced by MySQLim::getDialect(), and MySQL::getDialect().

Here is the call graph for this function:

MyDialect::postAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 102 of file MyDialect.class.php.

MyDialect::preAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 95 of file MyDialect.class.php.

References DBColumn::setDefault().

Here is the call graph for this function:

static MyDialect::prepareFullText | ( | $ | words,
|  | $ | logic |
| ) |  |  | `[static, private]`

Definition at line 123 of file MyDialect.class.php.

References Assert::isArray(), and quoteValue().

Here is the call graph for this function:

MyDialect::quoteBinary | ( | $ | data | ) |

Reimplemented from Dialect.

Reimplemented in MyImprovedDialect.

Definition at line 67 of file MyDialect.class.php.

static MyDialect::quoteField | ( | $ | field | ) | `[static]`

must be implemented too:

public static function quoteValue($value);

Reimplemented from Dialect.

Definition at line 42 of file MyDialect.class.php.

static MyDialect::quoteTable | ( | $ | table | ) | `[static]`

Reimplemented from Dialect.

Definition at line 52 of file MyDialect.class.php.

static MyDialect::quoteValue | ( | $ | value | ) | `[static]`

See also:
  Sequenceless for this convention

Reimplemented in MyImprovedDialect.

Definition at line 32 of file MyDialect.class.php.

Referenced by prepareFullText().

static MyDialect::timeZone | ( | $ | exist = `false` | ) | `[static]`

Reimplemented from Dialect.

Definition at line 62 of file MyDialect.class.php.

MyDialect::typeToString | ( | DataType $ | type | ) |

Reimplemented from Dialect.

Definition at line 72 of file MyDialect.class.php.

References DataType::BINARY, and Enumeration::getId().

Here is the call graph for this function:

## Member Data Documentation

const MyDialect::IN_BOOLEAN_MODE = 1

Definition at line 22 of file MyDialect.class.php.

The documentation for this class was generated from the following file:

- core/DB/MyDialect.class.php